"use strict";

var path = require('path');

var express = require('express');

var compression = require('compression');

var pkg = require('../../package.json');

module.exports = function addProdMiddlewares(app, options) {
  var publicPath = options.publicPath || pkg.name.toLocaleLowerCase() || '/';
  var outputPath = options.outputPath || path.resolve(process.cwd(), pkg.name.toLocaleLowerCase()); // compression middleware compresses your server responses which makes them
  // smaller (applies also to assets). You can read more about that technique
  // and other good practices on official Express.js docs http://mxs.is/googmy

  app.use(compression());
  app.use(publicPath, express["static"](outputPath));
  app.get('*', function (req, res) {
    return res.sendFile(path.resolve(outputPath, 'index.html'));
  });
};